/*
 * File Selection - A java utility to browse and manipulate sets of files.
 * Copyright (C) 2005  David I. Bell
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package fileselection.calculation;


/**
 * An enum-like class to hold useful information about a function.
 */
public class FunctionInfo
{
	public final int mId;
	public final String mName;
	public final String mDescription;
	public final int mMinArgs;
	public final int mMaxArgs;


	/**
	 * Constructor to define the values.
	 */
	public FunctionInfo(int id, String name, int minArgs, int maxArgs,
		String description)
	{
		mId = id;
		mName = name;
		mMinArgs = minArgs;
		mMaxArgs = maxArgs;
		mDescription = description;
	}
}